<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="DependencyInjection\**" />
    <Compile Remove="Services\DocumentValidation\**" />
    <Compile Remove="Services\FileStorage\**" />
    <EmbeddedResource Remove="DependencyInjection\**" />
    <EmbeddedResource Remove="Services\DocumentValidation\**" />
    <EmbeddedResource Remove="Services\FileStorage\**" />
    <None Remove="DependencyInjection\**" />
    <None Remove="Services\DocumentValidation\**" />
    <None Remove="Services\FileStorage\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Codecrete.SwissQRBill.Generator" Version="3.4.0" />
    <PackageReference Include="DevExpress.Document.Processor" Version="26.1.3" />
    <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="8.0.0" />
    <PackageReference Include="SkiaSharp.QrCode" Version="1.0.0" />
    <PackageReference Include="System.Drawing.Common" Version="10.0.9" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DocumentOperator.Application\DocumentOperator.Application.csproj" />
    <ProjectReference Include="..\DocumentOperator.Domain\DocumentOperator.Domain.csproj" />
  </ItemGroup>

</Project>
